  //////// header ////////////

  document.addEventListener('DOMContentLoaded', function() {

    const header = document.querySelector('header');
 // Vérifier si la page a été rechargée ou si c'est une navigation interne
 const isFirstLoad = !performance.getEntriesByType("navigation")[0].type.includes('back_forward');
 // Vérifier si nous sommes sur la page cible
 const isTargetPath = window.location.pathname === '/'; // Remplacez '/votre-chemin-cible' par le chemin réel

    // Si ce n'est pas la première charge ou si le chemin n'est pas le chemin cible, ajouter la classe immédiatement
    if (!isFirstLoad || !isTargetPath) {
      header.classList.add('header--collapsed-already');
  } else {
      // Sinon, appliquer la transition après un délai
      setTimeout(() => {
          header.classList.add('header--collapsed');
      }, 1000); // Attendre 1 seconde avant de réduire la taille du header
  }


       // Gestion du scroll pour afficher/masquer le header nav
    const headerNavContainer = document.querySelector('.header_nav_container');
    const headerLeftContainer = document.querySelector('header');
    let lastScrollTop = 0;
    let threshold = 100; // Change this value as needed
    let isHidden = false;
  
    function slideOut() {
      headerNavContainer.animate([
        { transform: 'translateX(0)' },
        { transform: 'translateX(-100%)' }
      ], {
        duration: 300,
        fill: 'forwards'
      });
      isHidden = true;
    }
  
    function slideIn() {
      headerNavContainer.animate([
        { transform: 'translateX(-100%)' },
        { transform: 'translateX(0)' }
      ], {
        duration: 300,
        fill: 'forwards'
      });
      isHidden = false;
    }
  
    function handleScroll() {
      let scrollTop = window.pageYOffset || document.documentElement.scrollTop;
  
      if (scrollTop > threshold && !isHidden) {
        slideOut();
      } else if (scrollTop <= threshold && isHidden) {
        slideIn();
      }
  
      lastScrollTop = scrollTop <= 0 ? 0 : scrollTop; // For Mobile or negative scrolling
    }
  
    function handleTouchAndMouseEnter() {
      if (isHidden) {
        slideIn();
      }
    }
  
    function handleTouchAndMouseLeave() {
      if (lastScrollTop > threshold && !isHidden) {
        slideOut();
      }
    }
  
    window.addEventListener('scroll', handleScroll);
  
    // Mouse events for desktop
    headerLeftContainer.addEventListener('mouseenter', handleTouchAndMouseEnter);
    headerLeftContainer.addEventListener('mouseleave', handleTouchAndMouseLeave);
  
    // Touch events for tablets and mobile devices
    headerLeftContainer.addEventListener('touchstart', handleTouchAndMouseEnter);
    headerLeftContainer.addEventListener('touchend', handleTouchAndMouseLeave);
  
    // Initial check to see if we're at the top of the page
    if (window.pageYOffset <= threshold) {
      slideIn();
    } else {
      slideOut();
    }
  });
  
  
